# Scheduled requests (计划请求)

要获取**每个计划请求**的响应，必须在主请求之后发送 `/getResults`。大多数统计和分析 API 方法都需要发送 `/getResults` 才能获取统计文件或 JSON：

* [getAppStats](/zh/developer/api-reference/statistics-api/application-subscriber-statistics/#getappstats)
* [getCampaignStats](/zh/developer/api-reference/statistics-api/campaign-statistics/)
* [getEventStatistics](/zh/developer/api-reference/statistics-api/events-and-tags-statistics/#geteventstatistics)
* [getTagStats](/zh/developer/api-reference/statistics-api/events-and-tags-statistics/#gettagstats)
* [getBouncedEmails](/zh/developer/api-reference/statistics-api/message-statistics-api/#bouncedemails)

## getResults

`POST` `https://api.pushwoosh.com/json/1.3/getResults`

检索计划请求的结果。

#### 请求体 (Request Body)

| 名称 | 类型 | 描述 |
| --- | --- | --- |
| auth\* | string | 来自 Pushwoosh 控制面板的 [API access token](/zh/developer/api-reference/api-identifiers/#api-access-token)。 |
| request\_id\* | string | 由计划方法返回的 Request ID。 |

```json title="Example"
{
  "request":{
    "auth": "yxoPUlwqm…………pIyEX4H", // 必填。来自 Pushwoosh 控制面板的 API access token。
    "request_id": "REQUEST_ID"      // 必填。由计划方法返回的 Request ID。
  }
}
```

<Tabs>
  <TabItem label="200: 响应示例">

    响应内容取决于您要获取结果的请求，因此可能会有所不同。以下是 `/getMsgStats` 请求的响应示例：

    ```json title="Example Response"
    {
      "status_code": 200,
      "status_message": "OK",
      "response": {
        "formatter": "hourly",
        "rows": [{
          "datetime": "2020-05-13 08:00:00", 
          "action": "send", 
          "count": 6
        }, {
          "datetime": "2020-05-13 08:00:00",
          "action": "inboxopen",
          "count": 0
        }, {
          "datetime": "2020-05-13 08:00:00",
          "action": "delivery",
          "count": 1
        }, {
          "datetime": "2020-05-13 08:00:00",
          "action": "open",
          "count": 0
        }],
        "conversion": {
          "send": 6,
          "delivery": 1,
          "open": 0,
          "events": []
        }
      }
    }
    ```

  </TabItem>
</Tabs>